> For the complete documentation index, see [llms.txt](https://docs.loomai.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.loomai.com/api/avatars/renderings/update.md).

# Create

Renders a sticker or an animation.

### POST /avatars/{AVATAR\_ID}/renderings?pose={name}

#### Request

Render avatar with specified `pose` applied.

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X POST "https://api.loomai.com/v0.5/avatars/{AVATAR_ID}/renderings?pose={name}"
```

{% endtab %}

{% tab title="Example" %}

```bash
curl -X POST "https://api.loomai.com/v0.5/avatars/5723980430835712/renderings?pose=neutral"
```

{% endtab %}
{% endtabs %}

| Parameter          | Transport | Type     | Description                                                       |
| ------------------ | --------- | -------- | ----------------------------------------------------------------- |
| `pose`             | `query`   | `string` | See [Sticker](/api/schema/sticker.md) for available values.       |
| `size`             | `query`   | `string` | See [Dimensions](/api/schema/dimensions.md) for available values. |
| `background_color` | `query`   | `string` | RGB Color Code (HEX), e.g. `#FFFFFF`                              |

#### Response

{% code title="Schema" %}

```http
HTTP/1.1 202 Accepted
X-Loom-Status: [RENDERING_ID]
```

{% endcode %}

### POST /avatars/{AVATAR\_ID}/renderings?animation={name}

#### Request

Render specified animation.

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X POST "https://api.loomai.com/v0.5/avatars/{AVATAR_ID}/renderings?animation={name}"
```

{% endtab %}

{% tab title="Example" %}

```bash
curl -X POST "https://api.loomai.com/v0.5/avatars/5723980430835712/renderings?animation=idle"
```

{% endtab %}
{% endtabs %}

| Parameter          | Transport | Type     | Description                                                       |
| ------------------ | --------- | -------- | ----------------------------------------------------------------- |
| `animation`        | `query`   | `string` | See [Animation](/api/schema/animation.md) for available values.   |
| `size`             | `query`   | `string` | See [Dimensions](/api/schema/dimensions.md) for available values. |
| `background_color` | `query`   | `string` | RGB Color Code (HEX), e.g. `#FFFFFF`                              |

#### Response

{% code title="Schema" %}

```http
HTTP/1.1 202 Accepted
X-Loom-Status: [RENDERING_ID]
```

{% endcode %}
